Bug 128776 - [PATCH] comms/openobex: Add USB support to OPENOBEX transports
Summary: [PATCH] comms/openobex: Add USB support to OPENOBEX transports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-11-11 04:10 UTC by Oleksii Samorukov
Modified: 2008-11-19 22:47 UTC (History)
1 user (show)

See Also:


Attachments
openobex-1.3_1.patch (3.61 KB, patch)
2008-11-11 04:10 UTC, Oleksii Samorukov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oleksii Samorukov freebsd_committer 2008-11-11 04:10:01 UTC
Original sources contain usb support via libusb. It is designed to use OBEX
on mobiles connected to USB cable. But original implementation fail to work
on FreeBSD (very strange usb_open() calls), so i did a patch. Now it work fine,
at least with my Nokia and libsyncml.

Added file(s):
- files/patch-usbobex.c

Port maintainer (mad@madpilot.net) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2008-11-11 04:10:09 UTC
Maintainer of comms/openobex,

Please note that PR ports/128776 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/128776

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-11-11 04:10:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 guido.falsi 2008-11-11 10:01:13 UTC
I have checked the patch and compiled it, unluckily I don't have any usb 
obex devices handy, anyway it looks good.

The patch is approved.

Should we also bump portrevision to let users know of the new 
functionality? What's the policy about this?

-- 
Guido Falsi <guido.falsi@volkswagengroupfirenze.it>
Comment 4 Guido Falsi freebsd_committer 2008-11-11 10:03:23 UTC
Previous email was by me, so patch is approved, but please keep using
this email to contact me regarding updates.

I got distracted and used the work email to submit the previous
followup.

Thank you and sorry for the inconvenience.

-- 
Guido Falsi <mad@madpilot.net>
Comment 5 Guido Falsi freebsd_committer 2008-11-11 10:22:39 UTC
I don't know what happened to the missing email.

I approved the patch, but don't own any USB obex enabled applicance to
test it. Just checked it compiles and does not break anything.

Should we bump portrevision to let users know of the new functionality?
What's the policy in this kind of situation?

-- 
Guido Falsi <mad@madpilot.net>
Comment 6 Oleksii Samorukov freebsd_committer 2008-11-11 11:16:11 UTC
i think that we should not bump revision.

Upstream will release new version very soon (1.4), so i think that it 
make no send to dump portrevison now.
API/ABI is compatible, and only application with such capability i know 
it libsyncml and opensync-syncml-plugin.

btw, i also checked USB with obexftp, it works fine and much faster then 
bluetooth.

Another broken part of openobex/freebsd is sdpd reg/unreg. I`ll try to 
fix this later.
Comment 7 Guido Falsi freebsd_committer 2008-11-11 11:28:59 UTC
On Tue, Nov 11, 2008 at 12:16:11PM +0100, Alex Samorukov wrote:
>
> Another broken part of openobex/freebsd is sdpd reg/unreg. I`ll try to  
> fix this later.

I did some work about sdp on gnokii, which I also mantain, I did not
check this port thoroughly about it.

I Will give a look to it, now that I know the sdp api a little.

BTW: Please use this email to contact me about the ports. It was my
mistake to use the other one for the previous followup.

-- 
Guido Falsi <mad@madpilot.net>
Comment 8 Dmitry Marakasov freebsd_committer 2008-11-19 22:35:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 9 Dmitry Marakasov freebsd_committer 2008-11-19 22:47:07 UTC
State Changed
From-To: feedback->closed

Included into ports/128979 and committed.